# TiXmlUnknown Class Reference

Inheritance diagram for TiXmlUnknown:

[legend]
Collaboration diagram for TiXmlUnknown:

[legend]
List of all members.

## Public Member Functions

| TiXmlUnknown (const TiXmlUnknown &copy)
void | operator= (const TiXmlUnknown &copy)
virtual TiXmlNode * | Clone () const
| Creates a copy of this Unknown and returns it.
virtual void | Print (FILE *cfile, int depth) const
| Print this Unknown to a FILE stream.
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)

## Protected Member Functions

void | CopyTo (TiXmlUnknown *target) const
virtual void | StreamOut (TIXML_OSTREAM *out) const

## Detailed Description

Any tag that tinyXml doesn't recognize is saved as an unknown. It is a tag of text, but should not be modified. It will be written back to the XML, unchanged, when the file is saved.

DTD tags get thrown into TiXmlUnknowns.